Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.css.sac.helpers
Class ParserFactory

    java.lang.Object
      org.w3c.css.sac.helpers.ParserFactory

public class ParserFactory
extends java.lang.Object

Constructor Summary
`ParserFactory()`

Method Summary
`Parser` | `makeParser()` Create a parser with given selectors factory and conditions factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserFactory

    public ParserFactory()

Method Detail

### makeParser

    public Parser makeParser()
                      throws java.lang.ClassNotFoundException,
                             java.lang.IllegalAccessException,
                             java.lang.InstantiationException,
                             java.lang.NullPointerException,
                             java.lang.ClassCastException

  Create a parser with given selectors factory and conditions factory.

  Throws:
    `java.lang.ClassNotFoundException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`
    `java.lang.NullPointerException`
    `java.lang.ClassCastException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.